package creator;

import org.seasar.framework.container.ComponentCustomizer;
import org.seasar.framework.container.creator.ComponentCreatorImpl;
import org.seasar.framework.container.deployer.InstanceDefFactory;
import org.seasar.framework.convention.NamingConvention;

public class TypeCreator extends ComponentCreatorImpl
{
    public TypeCreator( NamingConvention namingConvention )
    {
        super( namingConvention );
        setNameSuffix( "Type" );
        setInstanceDef( InstanceDefFactory.SINGLETON );
    }

    public void setTypeCustomizer( ComponentCustomizer customizer )
    {
        setCustomizer( customizer );
    }

    public ComponentCustomizer getTypeCustomizer()
    {
        return getCustomizer();
    }
}
